LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XShapeEventBroadcaster Interface Reference

Used to link a listener to a specific shape. More...

`import"XShapeEventBroadcaster.idl";`

Inheritance diagram for XShapeEventBroadcaster:

## Public Member Functions
void | addShapeEventListener ([in] com::sun::star::drawing::XShape Shape, [in] XShapeEventListener Listener)
| registers the given listener More...
void | removeShapeEventListener ([in] com::sun::star::drawing::XShape Shape, [in] XShapeEventListener Listener)
| unregisters the given listener More...
Public Member Functions inherited from XEventBroadcaster
void | addEventListener ([in] XEventListener Listener)
| registers the given listener More...
void | removeEventListener ([in] XEventListener Listener)
| unregisters the given listener More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Used to link a listener to a specific shape.

Since
  LibreOffice 6.4

## Member Function Documentation

## ◆ addShapeEventListener()

void addShapeEventListener | ( | [in] com::sun::star::drawing::XShape | Shape,
|  | [in] XShapeEventListener | Listener
| ) |  |

registers the given listener

Parameters

  Shape | the shape to be listened
  Listener | listener which is interested on such events

## ◆ removeShapeEventListener()

void removeShapeEventListener | ( | [in] com::sun::star::drawing::XShape | Shape,
|  | [in] XShapeEventListener | Listener
| ) |  |

unregisters the given listener

Parameters

  Shape | the shape with the listener to be removed
  Listener | listener which isn't interested on such events any longer

The documentation for this interface was generated from the following file:

- com/sun/star/document/XShapeEventBroadcaster.idl